Bug 131336 - useradd should request a specific uid
useradd should request a specific uid
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-31 03:55 EDT by Florian La Roche
Modified: 2013-03-05 22:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 06:08:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2004-08-31 03:55:14 EDT
Description of problem:
hal just uses the next free uid instead of reserving a specific one.
Please talk to Nalin to reserve one for this.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Zeuthen 2004-08-31 03:58:21 EDT
Thanks for catching this; Nalin, you got a UID for me?

David
Comment 2 David Zeuthen 2004-08-31 12:20:48 EDT
Per notting's request

username: haldaemon
groupname: haldaemon
homedir: /
package that adds it: hal
shell: /sbin/nologin

Thanks.
Comment 3 Bill Nottingham 2004-08-31 12:44:57 EDT
OK, use 68/68. 
Comment 4 David Zeuthen 2004-09-01 06:08:24 EDT
Thanks. Fixed in hal-0.2.97.cvs20040901-1.

Note You need to log in before you can comment on or make changes to this bug.